## org.eclipse.xsd
Class XSDPlugin.StringComparator

    java.lang.Object
      org.eclipse.xsd.XSDPlugin.StringComparator

All Implemented Interfaces:
  java.util.Comparator<java.lang.String>

Direct Known Subclasses:
  XSDPlugin.UnicodeStringComparator

Enclosing class:
  XSDPlugin

    public static class XSDPlugin.StringComparator

extends java.lang.Object
implements java.util.Comparator<java.lang.String>

A comparator for strings which does collation specific to the current locale by default.

Constructor Summary
`XSDPlugin.StringComparator()`

Method Summary
`int` `compare(java.lang.String s1, java.lang.String s2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XSDPlugin.StringComparator

    public XSDPlugin.StringComparator()

Method Detail

### compare

    public int compare(java.lang.String s1,
                       java.lang.String s2)

  Specified by:
    `compare` in interface `java.util.Comparator<java.lang.String>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.